[alsa-devel] Any patch for OMAP4 sound card on Linux 3.0.0-rc7?

Liam Girdwood lrg at ti.com
Tue Aug 2 23:07:07 CEST 2011

On 02/08/11 18:58, hong zhang wrote:
> Team,
> Linux 3.0.0-rc7 complains following for OMAP4 on Linux 3.0.0-rc7 during boot
> SDP4430 SoC init
> Error: Driver 'hdmi-audio-dai' is already registered, aborting...
> Any patch available for the error or where I can look at?

Looks like the device is being registered twice. 

Fwiw, the OMAP4 HDMI audio driver has been separated from sdp4430.c. So sdp4430.c should not contain any HDMI code.


> Thanks.
> ---henry
> _______________________________________________
> Alsa-devel mailing list
> Alsa-devel at alsa-project.org
> http://mailman.alsa-project.org/mailman/listinfo/alsa-devel

More information about the Alsa-devel mailing list